Bug 26124 - Console errors on tools_koha-news when editing with TinyMCE
Summary: Console errors on tools_koha-news when editing with TinyMCE
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Lucas Gass
QA Contact: Katrin Fischer
URL:
Keywords: rel_20_11_target
Depends on: 22660
Blocks:
  Show dependency treegraph
 
Reported: 2020-08-02 17:26 UTC by Lucas Gass
Modified: 2020-08-16 22:02 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.03


Attachments
Bug 26124: Load TinyMCE assets in correct order (1.25 KB, patch)
2020-08-04 03:02 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 26124: Load TinyMCE assets in correct order (1.32 KB, patch)
2020-08-04 09:12 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 26124: Load TinyMCE assets in correct order (1.37 KB, patch)
2020-08-05 15:39 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2020-08-02 17:26:21 UTC
If you are using TinyMCE in the news tools there is a console error:

Uncaught ReferenceError: tinymce is not defined

Everything works but you cannot add addtional JavaScript to this page. I'm pretty sure this is a product of Bug 22660.
Comment 1 Lucas Gass 2020-08-04 03:02:57 UTC
Created attachment 107725 [details] [review]
Bug 26124: Load TinyMCE assets in correct order

1. Make sure NewsToolEditor is set to TinyMCE
2. Go to Home › Tools › News › Add news item
3. Observe console error
4. Apply patch
5. No console error
Comment 2 ByWater Sandboxes 2020-08-04 09:12:59 UTC
Created attachment 107726 [details] [review]
Bug 26124: Load TinyMCE assets in correct order

1. Make sure NewsToolEditor is set to TinyMCE
2. Go to Home › Tools › News › Add news item
3. Observe console error
4. Apply patch
5. No console error

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 3 Katrin Fischer 2020-08-05 15:39:37 UTC
Created attachment 107843 [details] [review]
Bug 26124: Load TinyMCE assets in correct order

1. Make sure NewsToolEditor is set to TinyMCE
2. Go to Home › Tools › News › Add news item
3. Observe console error
4. Apply patch
5. No console error

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-08-06 09:38:31 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-08-13 18:41:12 UTC
backported to 20.05.x for 20.05.03
Comment 6 Aleisha Amohia 2020-08-16 22:02:08 UTC
missing dependencies, not backported to 19.11.x